<?php
require_once 'PHPOF2/DB.php';
require_once 'PHPOF2/DBTable.php';
require_once 'PHPOF2/DBRow.php';

//create table multiple_prikeys(id1 varchar(10), id2 varchar(10), name varchar(50) not null, primary key (id1,id2));

if (!isset($argv[1])) {
	die("Usage: $argv[0] [dsn]\n");
}
// The DSN to the main application database
$dsn = $argv[1];

$db = PHPOF2_DB::factory($dsn);

$table = new PHPOF2_DBTable($db, 'multiple_prikeys');
$row = $table->createRowObject();

$magic = 'Test '.date('Y-m-d H:i:s') . ' '.uniqid('');
$row->name = $magic;
$row->id1 = 'a';
$row->id2 = 'b';
$row->insert();
print "Inserted magic $magic\n";

$magic = 'Test '.date('Y-m-d H:i:s') . ' '.uniqid('');
$row->name = $magic;
$row->store();
print "Updated magic $magic\n";

//should only have 1 row in the database, with the second magic number in